petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecCreateSeqCUSP

Creates a standard, sequential array-style vector.

### Synopsis

    #include <petscvec.h>
    PetscErrorCode VecCreateSeqCUSP(MPI_Comm comm,PetscInt n,Vec *v)

Collective on MPI_Comm

### Input Parameter

. comm - the communicator, should be PETSC_COMM_SELF . n - the vector length

### Output Parameter

. V - the vector

### Notes

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the same type as an existing vector.

.seealso: VecCreateMPI(), VecCreate(), VecDuplicate(), VecDuplicateVecs(), VecCreateGhost()

Level:intermediate
Location:src/vec/vec/impls/seq/seqcusp/veccusp.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages